diff --git a/mobile/lib/screens/score/member_statistics_screen.dart b/mobile/lib/screens/score/member_statistics_screen.dart
index e420acb..1e99e5a 100644
--- a/mobile/lib/screens/score/member_statistics_screen.dart
+++ b/mobile/lib/screens/score/member_statistics_screen.dart
@@ -614,7 +614,7 @@ class _MemberStatisticsScreenState extends State<MemberStatisticsScreen>
             dotData: const FlDotData(show: true),
             belowBarData: BarAreaData(
               show: true,
-              color: Colors.blue.withValues(alpha: 0.2),
+              color: Colors.blue.withOpacity(0.2),
             ),
           ),
         ],
diff --git a/mobile/lib/screens/score/score_entry_screen.dart b/mobile/lib/screens/score/score_entry_screen.dart
index e25630c..5a18cb8 100644
--- a/mobile/lib/screens/score/score_entry_screen.dart
+++ b/mobile/lib/screens/score/score_entry_screen.dart
@@ -198,7 +198,7 @@ class _ScoreEntryScreenState extends State<ScoreEntryScreen> {
             labelText: '회원 선택',
             border: OutlineInputBorder(),
           ),
-          value: _selectedMemberId,
+          initialValue: _selectedMemberId,
           isExpanded: true,
           items: members.map((member) {
             return DropdownMenuItem<String>(
@@ -237,7 +237,7 @@ class _ScoreEntryScreenState extends State<ScoreEntryScreen> {
             labelText: '이벤트 선택 (선택사항)',
             border: OutlineInputBorder(),
           ),
-          value: _selectedEventId,
+          initialValue: _selectedEventId,
           isExpanded: true,
           items: [
             const DropdownMenuItem<String>(
diff --git a/mobile/lib/screens/subscription/subscription_details_screen.dart b/mobile/lib/screens/subscription/subscription_details_screen.dart
index b326a0c..106cb85 100644
--- a/mobile/lib/screens/subscription/subscription_details_screen.dart
+++ b/mobile/lib/screens/subscription/subscription_details_screen.dart
@@ -136,7 +136,7 @@ class _SubscriptionDetailsScreenState extends State<SubscriptionDetailsScreen> {
                 color: Colors.white,
                 boxShadow: [
                   BoxShadow(
-                    color: Colors.black.withValues(alpha: 0.1),
+                    color: Colors.black.withOpacity(0.1),
                     blurRadius: 10,
                     offset: const Offset(0, -5),
                   ),
@@ -207,7 +207,7 @@ class _SubscriptionDetailsScreenState extends State<SubscriptionDetailsScreen> {
                           vertical: 2,
                         ),
                         decoration: BoxDecoration(
-                          color: Colors.amber.withValues(alpha: 0.1),
+                          color: Colors.amber.withOpacity(0.1),
                           borderRadius: BorderRadius.circular(12),
                           border: Border.all(color: Colors.amber),
                         ),
diff --git a/mobile/lib/screens/subscription/subscription_screen.dart b/mobile/lib/screens/subscription/subscription_screen.dart
index 1e0e275..d7e8c2c 100644
--- a/mobile/lib/screens/subscription/subscription_screen.dart
+++ b/mobile/lib/screens/subscription/subscription_screen.dart
@@ -122,8 +122,8 @@ class _SubscriptionScreenState extends State<SubscriptionScreen> {
                         ),
                         decoration: BoxDecoration(
                           color: subscription.isActive
-                              ? Colors.green.withValues(alpha: 0.1)
-                              : Colors.grey.withValues(alpha: 0.1),
+                              ? Colors.green.withOpacity(0.1)
+                              : Colors.grey.withOpacity(0.1),
                           borderRadius: BorderRadius.circular(16),
                           border: Border.all(
                             color: subscription.isActive
@@ -259,7 +259,7 @@ class _SubscriptionScreenState extends State<SubscriptionScreen> {
                     _isYearly = value;
                   });
                 },
-                activeColor: Colors.blue,
+                activeThumbColor: Colors.blue,
               ),
               const SizedBox(width: 8),
               Row(
@@ -272,7 +272,7 @@ class _SubscriptionScreenState extends State<SubscriptionScreen> {
                       vertical: 2,
                     ),
                     decoration: BoxDecoration(
-                      color: Colors.green.withValues(alpha: 0.1),
+                      color: Colors.green.withOpacity(0.1),
                       borderRadius: BorderRadius.circular(12),
                       border: Border.all(color: Colors.green),
                     ),
@@ -341,7 +341,7 @@ class _SubscriptionScreenState extends State<SubscriptionScreen> {
                                   vertical: 4,
                                 ),
                                 decoration: BoxDecoration(
-                                  color: Colors.amber.withValues(alpha: 0.1),
+                                  color: Colors.amber.withOpacity(0.1),
                                   borderRadius: BorderRadius.circular(16),
                                   border: Border.all(color: Colors.amber),
                                 ),
diff --git a/mobile/lib/services/event_service.dart b/mobile/lib/services/event_service.dart
index a6111d5..93d2b78 100644
--- a/mobile/lib/services/event_service.dart
+++ b/mobile/lib/services/event_service.dart
@@ -851,7 +851,7 @@ class EventService with ChangeNotifier {
       // 서버 미지원/404 시 로컬 저장소에서 로드 시도
       try {
         final prefs = await SharedPreferences.getInstance();
-        final key = 'local_teams_' + eventId;
+        final key = 'local_teams_$eventId';
         final raw = prefs.getString(key);
         if (raw != null && raw.isNotEmpty) {
           final List<dynamic> jsonList = jsonDecode(raw);
@@ -945,7 +945,7 @@ class EventService with ChangeNotifier {
       // 서버 미지원/404 시 로컬로 저장
       try {
         final prefs = await SharedPreferences.getInstance();
-        final key = 'local_teams_' + eventId;
+        final key = 'local_teams_$eventId';
         final raw = jsonEncode(teams.map((t) => t.toJson()).toList());
         await prefs.setString(key, raw);
         _teams = teams;
@@ -1091,7 +1091,7 @@ class EventService with ChangeNotifier {
         data: formData,
       );
       if (data is Map) {
-        final map = Map<String, dynamic>.from(data as Map);
+        final map = Map<String, dynamic>.from(data);
         // 서버 응답: { message, file: { filename, originalname, ... } }
         if (map['file'] is Map) {
           final fm = Map<String, dynamic>.from(map['file'] as Map);
@@ -1201,8 +1201,9 @@ class EventService with ChangeNotifier {
       String? rawStatus = payloadEvent['status']?.toString();
       if (rawStatus != null && rawStatus.isNotEmpty) {
         final s = rawStatus.toLowerCase();
-        if (['active', '활성'].contains(s)) payloadEvent['status'] = 'active';
-        else if (['ready', '대기', '준비', 'draft'].contains(s)) payloadEvent['status'] = 'ready';
+        if (['active', '활성'].contains(s)) {
+          payloadEvent['status'] = 'active';
+        } else if (['ready', '대기', '준비', 'draft'].contains(s)) payloadEvent['status'] = 'ready';
         else if (['completed', '완료', 'done', 'finished'].contains(s)) payloadEvent['status'] = 'completed';
         else if (['canceled', 'cancelled', '취소'].contains(s)) payloadEvent['status'] = 'canceled';
         else if (['deleted', '삭제'].contains(s)) payloadEvent['status'] = 'deleted';
@@ -1212,8 +1213,9 @@ class EventService with ChangeNotifier {
       String? rawType = payloadEvent['eventType']?.toString();
       if (rawType != null && rawType.isNotEmpty) {
         final t = rawType.toLowerCase();
-        if (['regular','일반'].contains(t)) payloadEvent['eventType'] = 'regular';
-        else if (['lightning','번개'].contains(t)) payloadEvent['eventType'] = 'lightning';
+        if (['regular','일반'].contains(t)) {
+          payloadEvent['eventType'] = 'regular';
+        } else if (['lightning','번개'].contains(t)) payloadEvent['eventType'] = 'lightning';
         else if (['practice','연습'].contains(t)) payloadEvent['eventType'] = 'practice';
         else if (['exchange','교류전'].contains(t)) payloadEvent['eventType'] = 'exchange';
         else if (['event','행사'].contains(t)) payloadEvent['eventType'] = 'event';
diff --git a/mobile/lib/services/public_event_service.dart b/mobile/lib/services/public_event_service.dart
index f629739..a0b55ba 100644
--- a/mobile/lib/services/public_event_service.dart
+++ b/mobile/lib/services/public_event_service.dart
@@ -42,7 +42,7 @@ class PublicEventService {
   @visibleForTesting
   PublicEventService.forTest(this._http);
 
-  static String tokenKey(String publicHash) => 'event_token_' + publicHash;
+  static String tokenKey(String publicHash) => 'event_token_$publicHash';
 
   String? getSavedToken(String publicHash) {
     return WebStorage.getItem(tokenKey(publicHash));
@@ -58,14 +58,14 @@ class PublicEventService {
 
   Map<String, dynamic>? _authHeader(String? token) {
     if (token == null || token.isEmpty) return null;
-    return { 'Authorization': 'Bearer ' + token };
+    return { 'Authorization': 'Bearer $token' };
   }
 
   Future<Map<String, dynamic>> fetchEvent(String publicHash) async {
     final saved = getSavedToken(publicHash);
     // 백엔드는 GET이 아니라 POST('/:publicHash')로 최초 진입/토큰 인증을 처리함
     final res = await _http.post(
-      '/public/' + publicHash,
+      '/public/$publicHash',
       data: {},
       headers: _authHeader(saved),
     );
@@ -83,7 +83,7 @@ class PublicEventService {
     try {
       // 우선 저장된 토큰으로 시도, 실패 시 비밀번호로 재시도는 서버가 처리
       final res = await _http.post(
-        '/public/' + publicHash,
+        '/public/$publicHash',
         data: password != null ? { 'password': password } : {},
         headers: _authHeader(saved),
       );
@@ -119,7 +119,7 @@ class PublicEventService {
       if (comment != null) 'comment': comment,
     };
     await _http.post(
-      '/public/' + publicHash + '/participant',
+      '/public/$publicHash/participant',
       data: payload,
       headers: _authHeader(token),
     );
@@ -139,7 +139,7 @@ class PublicEventService {
       if (average != null) 'average': average,
     };
     await _http.post(
-      '/public/' + publicHash + '/guest',
+      '/public/$publicHash/guest',
       data: payload,
       headers: _authHeader(token),
     );
@@ -161,7 +161,7 @@ class PublicEventService {
       if (teamNumber != null) 'teamNumber': teamNumber,
     };
     await _http.put(
-      '/public/' + publicHash + '/score',
+      '/public/$publicHash/score',
       data: payload,
       headers: _authHeader(token),
     );
@@ -173,7 +173,7 @@ class PublicEventService {
   }) async {
     final token = getSavedToken(publicHash);
     await _http.put(
-      '/public/' + publicHash + '/team/' + teamNumber.toString() + '/handicap',
+      '/public/$publicHash/team/$teamNumber/handicap',
       data: { 'teamNumber': teamNumber, 'handicap': handicap },
       headers: _authHeader(token),
     );
diff --git a/mobile/lib/theme/badges.dart b/mobile/lib/theme/badges.dart
index 0d6002c..aa378af 100644
--- a/mobile/lib/theme/badges.dart
+++ b/mobile/lib/theme/badges.dart
@@ -142,7 +142,11 @@ class BadgeStyles {
       label = '활성';
       bg = successBg;
       icon = Icons.check_circle;
-    } else if (s == 'pending' || s == 'draft' || s == 'scheduled' || s == 'waiting' || s == '대기') {
+    } else if (s == 'pending' ||
+        s == 'draft' ||
+        s == 'scheduled' ||
+        s == 'waiting' ||
+        s == '대기') {
       label = '대기';
       bg = Colors.amber.shade100;
       icon = Icons.hourglass_top;
@@ -150,7 +154,10 @@ class BadgeStyles {
       label = '취소';
       bg = dangerBg;
       icon = Icons.cancel;
-    } else if (s == 'completed' || s == 'done' || s == 'finished' || s == '완료') {
+    } else if (s == 'completed' ||
+        s == 'done' ||
+        s == 'finished' ||
+        s == '완료') {
       label = '완료';
       bg = Colors.grey.shade300;
       icon = Icons.done_all;
@@ -172,15 +179,26 @@ class BadgeStyles {
       final double l2 = lum1 > lum2 ? lum2 : lum1;
       return (l1 + 0.05) / (l2 + 0.05);
     }
-    final double contrastWithWhite = contrast(lumBg, Colors.white.computeLuminance());
-    final double contrastWithBlack = contrast(lumBg, Colors.black.computeLuminance());
-    final Color fg = contrastWithWhite >= contrastWithBlack ? Colors.white : Colors.black;
+
+    final double contrastWithWhite = contrast(
+      lumBg,
+      Colors.white.computeLuminance(),
+    );
+    final double contrastWithBlack = contrast(
+      lumBg,
+      Colors.black.computeLuminance(),
+    );
+    final Color fg = contrastWithWhite >= contrastWithBlack
+        ? Colors.white
+        : Colors.black;
     return Chip(
-      avatar: Icon(icon, size: 16, color: fg),
-      label: Text(text, style: TextStyle(color: fg)),
+      avatar: Icon(icon, size: 14, color: fg),
+      label: Text(text, style: TextStyle(color: fg, fontSize: 11)),
       backgroundColor: bg,
-      padding: const EdgeInsets.symmetric(horizontal: 6, vertical: 0),
+      padding: const EdgeInsets.symmetric(horizontal: 2, vertical: 0),
+      labelPadding: const EdgeInsets.only(left: -2, right: 5),
       materialTapTargetSize: MaterialTapTargetSize.shrinkWrap,
+      visualDensity: const VisualDensity(horizontal: -3, vertical: -3),
     );
   }
 }
diff --git a/mobile/lib/widgets/owner_dropdown.dart b/mobile/lib/widgets/owner_dropdown.dart
index 9d3f717..dbe5c4b 100644
--- a/mobile/lib/widgets/owner_dropdown.dart
+++ b/mobile/lib/widgets/owner_dropdown.dart
@@ -46,7 +46,7 @@ class OwnerDropdown extends StatelessWidget {
         border: OutlineInputBorder(),
       ),
       isExpanded: true,
-      value: value,
+      initialValue: value,
       items: items,
       onChanged: enabled ? onChanged : null,
     );
